Package org.apache.storm

## Class StormTimer.StormTimerTask

- java.lang.Object
- - java.lang.Thread
  - - org.apache.storm.StormTimer.StormTimerTask

- All Implemented Interfaces:
    `Runnable`
  Enclosing class:
    StormTimer

      public static class StormTimer.StormTimerTask
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StormTimerTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(StormTimer.QueueEntry queueEntry)` |
    `boolean` | `isActive()` |
    `void` | `run()` |
    `void` | `setActive​(boolean flag)` |
    `void` | `setOnKillFunc​(Thread.UncaughtExceptionHandler onKill)` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StormTimerTask

          public StormTimerTask()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### setOnKillFunc

          public void setOnKillFunc​(Thread.UncaughtExceptionHandler onKill)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive​(boolean flag)

    - #### add

          public void add​(StormTimer.QueueEntry queueEntry)